/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */
angular.module('AngularApp',['ui.router', 'ngResource', 'ngMaterial', 'AngularApp.controllers','AngularApp.services']);

angular.module('AngularApp').config(function($stateProvider,$httpProvider){
    $stateProvider.state('home',{
        url:'/home',
        templateUrl:'/AngularUI/view/home.html',
        controller:'HomeController'
    })
	
	.state('company',{		url:'/company',				templateUrl:'/AngularUI/view/company/list.html',	controller:'CompanyListController'})
	.state('editCompany',{	url:'/company/:id/edit',	templateUrl:'/AngularUI/view/company/edit.html',	controller:'CompanyEditController'})
	
	.state('customer',{		url:'/customer', 			templateUrl:'/AngularUI/view/customer/list.html',	controller:'CustomerListController'})
	.state('newCustomer',{	url:'/customer/new',		templateUrl:'/AngularUI/view/customer/new.html',	controller:'CustomerNewController'})
	.state('editCustomer',{	url:'/customer/:id/edit',	templateUrl:'/AngularUI/view/customer/edit.html',	controller:'CustomerEditController'})

	.state('shop',{			url:'/shop', 				templateUrl:'/AngularUI/view/shop/list.html',		controller:'ShopListController'})
	.state('newShop',{		url:'/shop/new',			templateUrl:'/AngularUI/view/shop/new.html',		controller:'ShopNewController'})
	.state('editShop',{		url:'/shop/:id/edit',		templateUrl:'/AngularUI/view/shop/edit.html',		controller:'ShopEditController'})

	.state('product',{		url:'/product', 			templateUrl:'/AngularUI/view/product/list.html',	controller:'ProductListController'})
	.state('newProduct',{	url:'/product/new',			templateUrl:'/AngularUI/view/product/new.html',		controller:'ProductNewController'})
	.state('editProduct',{	url:'/product/:id/edit',	templateUrl:'/AngularUI/view/product/edit.html',	controller:'ProductEditController'})

	.state('promotion',{	url:'/promotion', 			templateUrl:'/AngularUI/view/promotion/list.html',	controller:'PromotionListController'})
	.state('newPromotion',{	url:'/promotion/new',		templateUrl:'/AngularUI/view/promotion/new.html',	controller:'PromotionNewController'})
	.state('editPromotion',{url:'/promotion/:id/edit',	templateUrl:'/AngularUI/view/promotion/edit.html',	controller:'PromotionEditController'})	
	
	;
}).run(function($state){
   $state.go('home');
});