/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 *
 */
angular.module('AngularApp.services',[])
.factory('Company',function($resource){
    return $resource('http://localhost:3000/company/:id',{id:'@id'},{
        update: {
            method: 'PUT'
        }
    });
})
.factory('Customer',function($resource){
    return $resource('http://localhost:3000/customer/:id',{id:'@id'},{
        update: {
            method: 'PUT'
        }
    });
})
.factory('Product',function($resource){
    return $resource('http://localhost:3000/product/:id',{id:'@id'},{
        update: {
            method: 'PUT'
        }
    });
})
.factory('Promotion',function($resource){
    return $resource('http://localhost:3000/promotion/:id',{id:'@id'},{
        update: {
            method: 'PUT'
        }
    });
})
.factory('Shop',function($resource){
    return $resource('http://localhost:3000/shop/:id',{id:'@id'},{
        update: {
            method: 'PUT'
        }
    });
})
.service('menuService',function($mdComponentRegistry,$mdSidenav){
    this.close = function() {
		$mdComponentRegistry.when('leftMenu').then(function(){
			$mdSidenav('leftMenu').close();
		});
	};
})
.service('showDialogService',function($window){
    this.showDialog=function(message){
        return $window.confirm(message);
    }
});
